Entrar

Atualizar formulário

PUT https://{organization}.myguper.com/api/register/datacapture/form

Atualiza a definição de um formulário de captura de dados. Apenas id é obrigatório; se fields for enviado, passa pela mesma validação de identificador do create — o campo identificador primário da organização precisa estar presente e será marcado como required: true e identifier: true.

Try-it values populated from environment ACME (Demo)


Autenticação

Token

Send your user token in the x-guper-authorization header.

Cabeçalhos

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Corpo da requisição

Content-Type: application/json

{
    "id": 1,
    "name": "optin",                                            // optional
    "fields": [                                                 // optional
        {
            "name": "phone",
            "label": "Telefone",                                // optional
            "type": "text",                                     // optional
            "required": false,                                  // optional
            "metadata": false,                                  // optional
            "metaKey": "shirt_size"                             // optional
        }
    ]
}

Respostas

Copied to clipboard